## org.eclipse.datatools.sqltools.sql.identifier
Class ValidatorMessage

    java.lang.Object
      org.eclipse.datatools.sqltools.sql.identifier.ValidatorMessage

    public class ValidatorMessage

extends java.lang.Object

Validator message class

Author:
  wanh

Field Summary
`static int` `ALL` All message including warning, error messenge
`static int` `ERROR` Error message,validator is not valid `ERROR`
`static int` `NO_ERROR` No error message `NO`
`static int` `WARNING` Warning message,just show warning message to user, user can go on `WARNING`

Constructor Summary
`ValidatorMessage(int type, java.lang.String message)`

Method Summary
`java.lang.String` `getMessage()`
`int` `getType()`
`static boolean` `hasError(ValidatorMessage message, int level)` Check whether the message has error or not
`static boolean` `hasWarning(ValidatorMessage message)` Check whether the message has error or not

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NO_ERROR

    public static final int NO_ERROR

  No error message `NO`

  See Also:
    Constant Field Values

### WARNING

    public static final int WARNING

  Warning message,just show warning message to user, user can go on `WARNING`

  See Also:
    Constant Field Values

### ERROR

    public static final int ERROR

  Error message,validator is not valid `ERROR`

  See Also:
    Constant Field Values

### ALL

    public static final int ALL

  All message including warning, error messenge

  See Also:
    Constant Field Values

Constructor Detail

### ValidatorMessage

    public ValidatorMessage(int type,
                            java.lang.String message)

Method Detail

### getMessage

    public java.lang.String getMessage()

  Returns:
    Returns the _messag.

### getType

    public int getType()

  Returns:
    Returns the _type.

### hasError

    public static boolean hasError(ValidatorMessage message,
                                   int level)

  Check whether the message has error or not

  Parameters:
    `message` -
    `level` - error message level
  Returns:

### hasWarning

    public static boolean hasWarning(ValidatorMessage message)

  Check whether the message has error or not

  Parameters:
    `message` -
  Returns: